Loading...
Searching...
No Matches
BALL::Experiment< PeakListType > Class Template Reference
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy » NMR spectra and related classes

`#include <BALL/NMR/experiment.h>`

Inheritance diagram for BALL::Experiment< PeakListType >:

## Public Types

Typedefs
typedef PeakListType::PeakType | PeakType
| The peak type.
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Public Member Functions

Constructors and Destructors
| Experiment ()
| Experiment (const Experiment &experiment)
virtual | ~Experiment ()
Public Member Functions inherited from BALL::ShiftModule
| ShiftModule ()
| ShiftModule (Parameters &parameters, const String &name="")
| ShiftModule (const ShiftModule &module)
virtual | ~ShiftModule ()
virtual void | clear ()
const ShiftModule & | operator= (const ShiftModule &module)
void | setName (const String &name)
const String & | getName () const
void | setParameters (Parameters &parameters)
const Parameters * | getParameters () const
virtual void | init ()
virtual bool | start ()
virtual bool | finish ()
bool | isValid () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual Processor::Result | operator() (Composite &)

## Accessors

PeakListType | peak_list_
PeakType | default_peak_
const PeakListType & | getPeakList () const
const PeakType & | getDefaultPeak () const
void | setDefaultPeak (const PeakType &peak)

## Additional Inherited Members

Static Public Attributes inherited from BALL::ShiftModule
static const char * | PROPERTY__SHIFT
static const char * | PROPERTY__EXPERIMENTAL__SHIFT
String | module_name_
Parameters * | parameters_
bool | valid_

## Detailed Description

template<typename PeakListType>
class BALL::Experiment< PeakListType >

Class describing a certain type of NMR experiment. This class (and its subclasses) are used to describe how a list of peaks is derived from the shifts calculated for a system.

Definition at line 34 of file experiment.h.

## Member Typedef Documentation

## PeakType

template<typename PeakListType>

typedef PeakListType::PeakType BALL::Experiment< PeakListType >::PeakType

The peak type.

Definition at line 45 of file experiment.h.

## Constructor & Destructor Documentation

## Experiment() [1/2]

template<typename PeakListType>

BALL::Experiment< PeakListType >::Experiment | ( |  | ) |

Default Constructor

Definition at line 91 of file experiment.h.

## Experiment() [2/2]

template<typename PeakListType>

BALL::Experiment< PeakListType >::Experiment | ( | const Experiment< PeakListType > & | experiment | ) |

Copy constructor

Definition at line 99 of file experiment.h.

## ~Experiment()

template<typename PeakListType>

BALL::Experiment< PeakListType >::~Experiment | ( |  | ) |

virtual

Destructor

Definition at line 107 of file experiment.h.

## Member Function Documentation

## getDefaultPeak()

template<typename PeakListType>

const Experiment< PeakListType >::PeakType & BALL::Experiment< PeakListType >::getDefaultPeak | ( |  | ) | const

Return the default peak. This peak can be assigned a default width and intensity that is assigned to all extracted peaks in the peak list. This is the default behaviour and can be overridden in derived classes.

Definition at line 119 of file experiment.h.

## getPeakList()

template<typename PeakListType>

const PeakListType & BALL::Experiment< PeakListType >::getPeakList | ( |  | ) | const

Return the peak list

Definition at line 113 of file experiment.h.

## setDefaultPeak()

template<typename PeakListType>

void BALL::Experiment< PeakListType >::setDefaultPeak | ( | const PeakType & | peak | ) |

Assign the default peak.

See also
  getDefaultPeak

Definition at line 125 of file experiment.h.

## Member Data Documentation

## default_peak_

template<typename PeakListType>

PeakType BALL::Experiment< PeakListType >::default_peak_

protected

Definition at line 87 of file experiment.h.

## peak_list_

template<typename PeakListType>

PeakListType BALL::Experiment< PeakListType >::peak_list_

protected

Definition at line 86 of file experiment.h.